您当前的位置:首页 AR|MR ARCore 正文

Google ARCore学习指引四剑客:原生、Unity、Unreal和WebAR

查看: 2132| 评论: 1 2017-8-30 12:51 PM| 发布者: obuil

         翻译的教程文章会逐步到位,我们先来大致看一下52VR小编整理的 中英文混合的版本吧:

ARCore学习指引四剑客:原生、Unity、Unreal和WebAR


有关Google刚刚发布的ARCore相关介绍:http://www.52vr.com/article-1736-1.html

首先支持的软件和硬件环境:

一、支持的机型:

ARCore被定位为支持大部分合格的运行安卓7.0系统的手机。在这个预览版本中,ARCore 目前仅支持以下机型20:

  1. 谷歌 Pixel and Pixel XL
  2. 三星 Galaxy S8 (SM-G950U, SM-G950N, SM-G950FD, SM-G950FD, SM-G950W, SM-G950U1)

ARCore学习指引四剑客:原生、Unity、Unreal和WebAR


二、可供开发的手段:

你有四种选择(点击进入教程):

  1. 使用 Android Studio开发(已翻译)
  2. 使用Unity开发(已翻译)
  3. 使用Unreal开发(已翻译)
  4. 体验不一样的WebAR开发(已翻译)
和苹果的ARKit不一样,google率先同步支持了Unreal引擎,另外还支持了一种WebAR的方式,这个需要新的浏览器支持。


上面四个地址有些同学可能打不开,我简要归纳一下:

如果用Unity开发:

ARCore学习指引四剑客:原生、Unity、Unreal和WebAR


  • 需要安装 Android SDK 7.0 (API Level 24) 或者更高版本

  • 需要安装unity的最新测试版本 Unity 2017.2 Beta 9 ,并且需要有安装android组件。更多信息看这里: Downloading and Installing Unity.

  • 下载 ARCore SDK for Unity插件,从如下两个地方都可以下载到:

    • 下载 SDK Preview for Unity 然后解压缩;

      或者——

    • 用下面的命令复制资源库:

      git clone https://github.com/google-ar/arcore-unity-sdk.git

  • 重复一遍,你需要能够支持的android手机,目前阶段,只能是上面几款.

  • ARCore学习指引四剑客:原生、Unity、Unreal和WebAR


如果用Unreal Engine开发:

ARCore学习指引四剑客:原生、Unity、Unreal和WebAR


  • 你需要重新编译UE4源代码:

  • 按照这个教程设置下android的UE环境 Android Quick Start. 确保你安装了最新的 Android SDK 7.0 (API level 24) 或者更高版本。

  • 下载官方提供的 Unreal HelloAR 示例工程:

    • 下载 sample project repository 然后解压缩;

      或者——

    • 用下面的命令复制资源库:

      git clone https://github.com/google-ar/arcore-unreal-sdk.git

  • 重复一遍,你需要能够支持的android手机,目前阶段,只能是上面几款。

  • ARCore学习指引四剑客:原生、Unity、Unreal和WebAR






52VR.COM微信扫一扫
52vr公众号
专注于VR的学习、开发和人才交流

52VR开发交流

已有 1 人参与

发表评论

您需要登录才可以回帖 登录 | 立即注册

  • 回复 joy 2017-8-30 02:05 PM
    厉害666666666666666666666666666666666666666666666666666

手机版|VR开发网 |网站地图 统计  津ICP备16006248号

GMT+8, 2017-11-24 11:10 PM

返回顶部